Issue619

Title Use author's name if committer is set to GitHub on commit notifications
Priority bug Status resolved
Superseder Nosy List berker.peksag, ezio.melotti, maciej.szulik
Assigned To Topics

Created on 2017-02-22.02:11:59 by berker.peksag, last changed 2017-03-24.15:59:41 by maciej.szulik.

Files
File name Uploaded Type Edit Remove
issue619.diff berker.peksag, 2017-03-17.11:58:26 text/plain
Messages
msg3276 (view) Author: berker.peksag Date: 2017-02-22.02:11:58
New changeset 6336f0d156feec0f109a8d01da108cf96e3d9c60 by GitHub in branch '3.5':
bpo-29554: Improve docs for pstat module and profile. (#88) (#228)
https://github.com/python/cpython/commit/6336f0d156feec0f109a8d01da108cf96e3d9c60

I think we should use author's name on this case. I will attach a patch later today.
msg3282 (view) Author: ezio.melotti Date: 2017-03-05.23:13:43
In which cases the committer is set to GitHub?
FWIW Maciej recently pushed a change to show both committer and author: https://hg.python.org/tracker/roundup/rev/2defe7a040a7
msg3285 (view) Author: berker.peksag Date: 2017-03-15.10:19:22
I might miss some other cases, but for example, when you edit a file on GitHub or when you merge your own PR.
msg3289 (view) Author: berker.peksag Date: 2017-03-17.11:41:00
You can see an example of this in the patch I posted at http://psf.upfronthosting.co.za/roundup/meta/issue613:

New changeset 9d07aceedabcdc9826489f8b9baffff056283bb3 by GitHub (Brett Cannon) in branch '3.6':
bpo-1: Mention coverage.py in trace module documentation (GH-435)
msg3290 (view) Author: berker.peksag Date: 2017-03-17.11:58:26
Here is a patch.
msg3294 (view) Author: maciej.szulik Date: 2017-03-17.22:53:56
I've created alternate solution in this patch: http://psf.upfronthosting.co.za/roundup/meta/file459/issue613.patch
msg3301 (view) Author: maciej.szulik Date: 2017-03-23.22:12:38
Updated patch with my changes applied here: 

https://hg.python.org/tracker/roundup/rev/6d6954a7b401
msg3305 (view) Author: berker.peksag Date: 2017-03-24.15:58:04
Next time please let me push my own patches. If you have comments please left them in the issue first. Doing your own thing on my patches without even try to communicate is a bit rude.
msg3306 (view) Author: maciej.szulik Date: 2017-03-24.15:59:40
Sorry Berker, didn't want to offend you by doing so.
History
Date User Action Args
2017-03-24 15:59:41maciej.szuliksetmessages: + msg3306
2017-03-24 15:58:04berker.peksagsetmessages: + msg3305
2017-03-23 22:12:38maciej.szuliksetstatus: chatting -> resolved
messages: + msg3301
2017-03-17 22:53:56maciej.szuliksetnosy: + maciej.szulik
messages: + msg3294
2017-03-17 11:58:26berker.peksagsetfiles: + issue619.diff
messages: + msg3290
2017-03-17 11:41:00berker.peksagsetmessages: + msg3289
2017-03-15 10:19:22berker.peksagsetmessages: + msg3285
2017-03-05 23:13:43ezio.melottisetstatus: unread -> chatting
messages: + msg3282
2017-02-22 02:11:59berker.peksagcreate